### Hierarchy

- SubmissionFilter

## Index

### Properties

- domains
- domainsMode
- identicalEnabled
- minCopiedWords
- minorChangesEnabled
- relatedMeaningEnabled
- safeSearch

## Properties

### Optional domains

domains: string[]

- Defined in src/models/submissions/properties/Filter.ts:51

list of domains to either include or exclude from the scan - depending on the value of domainsMode.

### Optional domainsMode

domainsMode: SubmissionFilterDomainsMode

- Defined in src/models/submissions/properties/Filter.ts:59

Include or Exclude the list of domains you specified under the domains property

When Include is selected, Copyleaks will filter out all results that are not part of the properties.filters.domains list.

When Exclude is selected, Copyleaks will only find results outside of the properties.filters.domains list.

### Optional identicalEnabled

identicalEnabled: boolean

- Defined in src/models/submissions/properties/Filter.ts:31

Enable matching of exact words in the text.

### Optional minCopiedWords

minCopiedWords: number

- Defined in src/models/submissions/properties/Filter.ts:43

Select results with at least minCopiedWords copied words.

### Optional minorChangesEnabled

minorChangesEnabled: boolean

- Defined in src/models/submissions/properties/Filter.ts:35

Enable matching of nearly identical words with small differences like slow becomes slowly.

### Optional relatedMeaningEnabled

relatedMeaningEnabled: boolean

- Defined in src/models/submissions/properties/Filter.ts:39

Enable matching of paraphrased content stating similar ideas with different words.

### Optional safeSearch

safeSearch: boolean

- Defined in src/models/submissions/properties/Filter.ts:47

Block explicit adult content from the scan results such as web pages containing inappropriate images and videos. SafeSearch is not 100% effective with all websites.

Generated using TypeDoc